
function setfontSizeInpage(size){
	document.body.style.fontSize = size + 'px';
}


function setTheme(isNightTheme) {
	if (isNightTheme == 1) {
		document.getElementById("body").className = "bodyNightStyle";
		document.getElementById("content").className = "contentNightStyle";
		document.getElementById("workName").className = "workNameNightStyle";
		document.getElementById("ISSN").className = "ISSNNightStyle";
		document.getElementById("pageNum").className = "pageNumNightStyle";
		document.getElementById("title").className = "h1NightStyle";
	} else {
		document.getElementById("body").className = "bodyStyle";
		document.getElementById("content").className = "contentStyle";
		document.getElementById("workName").className = "workNameStyle";
		document.getElementById("ISSN").className = "ISSNStyle";
		document.getElementById("pageNum").className = "pageNumStyle";
		document.getElementById("title").className = "h1Style";
	}
}


function GetQueryString(name) {
	var str = window.location.search;
	if (str == null) {
		return;
	}
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)","i");
	var r = str.substr(1).match(reg);
	if (r != null) {
		return (r[2]);
	}
	
	return null;
}


function onLoad() {
	var theme = GetQueryString("theme");
	var fontSize = GetQueryString("fontSize");
	
	if (theme != null) {
		setTheme(theme);
	}
	
	if (fontSize != null) {
		setfontSizeInpage(fontSize);
	}
}
